Get a suppression by address
GET
/v1/suppressions/{address}
const url = 'https://your-notavia-host/v1/suppressions/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-notavia-host/v1/suppressions/example \ --header 'Authorization: Bearer <token>'Requires a full-access API key.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” address
required
string
The email address to look up. URL-encode special characters.
Responses
Section titled “ Responses ”The suppression entry for the address.
Media type application/json
object
id
string format: uuid
address
string
reason
string
source
string
diagnostic_detail
string
triggering_notification_id
string format: uuid
suppressed_at
string format: date-time
Example
{ "reason": "hard_bounce", "source": "provider"}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}